import s from './Spoiler.module.css';
import { useState } from 'react';

interface ISpoilerProps {
  header?: React.ReactNode;
  children?: React.ReactNode;
}

const Spoiler = ({ header, children }: ISpoilerProps) => {
  const [open, setOpen] = useState(false);
  const handleOpen = () => setOpen(!open);
  return (
    <div className={s.spoilerWrapper}>
      {header && header}
      <button onClick={handleOpen}>{open ? 'Click Hide' : 'Click Show'}</button>
      {open && <h2>This is hidden content in Spoiler component</h2>}
      {open && children && children}
    </div>
  );
};

export default Spoiler;
